﻿using Sharing.Share.Dtos.DataSharing.DataExchange;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Enterprise
{
    /// <summary>
    /// 企业服务-数据推送
    /// </summary>
    [Description("企业服务-数据推送")]
    public class DsDataWorkOrderSend : CreationModificationEntity
    {
        /// <summary>
        /// 企业CODE
        /// </summary>
        [SugarColumn(ColumnDescription = "企业CODE", ColumnDataType = "varchar(50)")]
        public string EnterpriseCode { get; set; }

        /// <summary>
        /// 专班CODE
        /// </summary>
        [SugarColumn(ColumnDescription = "专班CODE", ColumnDataType = "varchar(50)")]
        public string SpecialTeamCode { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string WorkOrderNo { get; set; }

        /// <summary>
        /// 服务工单标题
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单标题", ColumnDataType = "varchar(100)")]
        public string WorkOrderTitle { get; set; }

        /// <summary>
        /// 受理时间(yyyy-MM-dd HH:mm:ss格式)
        /// </summary>
        [SugarColumn(ColumnDescription = "受理时间", ColumnDataType = "varchar(30)")]
        public string AcceptTime { get; set; }

        /// <summary>
        /// 诉求渠道
        /// </summary>
        [SugarColumn(ColumnDescription = "诉求渠道", ColumnDataType = "varchar(100)")]
        public string AppealChannel { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnDescription = "联系电话", ColumnDataType = "varchar(20)")]
        public string ContactPhone { get; set; }

        /// <summary>
        ///服务对象姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "服务对象姓名", ColumnDataType = "varchar(20)")]
        public string ContactName { get; set; }

        /// <summary>
        /// 诉求类型
        /// </summary>
        [SugarColumn(ColumnDescription = "诉求类型", ColumnDataType = "varchar(100)")]
        public string AppealType { get; set; }

        /// <summary>
        /// 热点类型
        /// </summary>
        [SugarColumn(ColumnDescription = "热点类型", ColumnDataType = "varchar(200)")]
        public string HotspotType { get; set; }

        /// <summary>
        /// 诉求内容
        /// </summary>
        [SugarColumn(ColumnDescription = "诉求内容", ColumnDataType = "varchar(2000)")]
        public string AppealContent { get; set; }

        /// <summary>
        /// 紧急程度
        /// </summary>
        [SugarColumn(ColumnDescription = "紧急程度", ColumnDataType = "varchar(10)")]
        public string UrgencyDegree { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(20)")]
        public string RegionCode { get; set; }

        /// <summary>
        /// 期满时间(yyyy-MM-dd HH:mm:ss格式)
        /// </summary>
        [SugarColumn(ColumnDescription = "期满时间", ColumnDataType = "varchar(30)")]
        public string ExpirationTime { get; set; }

        /// <summary>
        /// 事发时间(yyyy-MM-dd HH:mm:ss格式)
        /// </summary>
        [SugarColumn(ColumnDescription = "事发时间", ColumnDataType = "varchar(30)", IsNullable = true)]
        public string? IncidentTime { get; set; }

        /// <summary>
        /// byte[]转base64，方法如下：Convert.ToBase64String(byte)
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public List<ReplyFiles>? ReplyFiles { get; set; } = new List<ReplyFiles>();

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }
    }
}
